package main

import "fmt"

func main() {
	a := 1
	fmt.Printf("This is the `format` string. Escape \" and print value of a: %v\n", a)

	type User struct {
		Name string
	}
	u := User{Name: "Mary"}
	fmt.Printf("user: %v\n", u)

	// use the `+` operator to show field names in the struct as well
	fmt.Printf("user: %+v\n", u)
}
